Buscar classificação completa por ID

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/classification/complete/{id}

Retorna a estrutura completa de uma classificação incluindo todos os seus níveis hierárquicos.

Path parameters

  • id integer(int64) Required

    id

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean
    • children array[object]
    • createdAt string(date-time)
    • createdBy string
    • id integer(int64)
    • nodeId integer(int64)
    • parent object
    • updatedAt string(date-time)
    • updatedBy string
    • value string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/classification/complete/{id}
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/classification/complete/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "active": true,
  "children": [
    {}
  ],
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "id": 42,
  "nodeId": 42,
  "parent": {},
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string",
  "value": "string"
}